
# react-native-dismiss-keyboard-native

## Getting started

`$ npm install react-native-dismiss-keyboard-native --save`

### Mostly automatic installation

`$ react-native link react-native-dismiss-keyboard-native`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-dismiss-keyboard-native` and add `RNDismissKeyboardNative.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNDismissKeyboardNative.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNDismissKeyboardNativePackage;` to the imports at the top of the file
  - Add `new RNDismissKeyboardNativePackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-dismiss-keyboard-native'
  	project(':react-native-dismiss-keyboard-native').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-dismiss-keyboard-native/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-dismiss-keyboard-native')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNDismissKeyboardNative.sln` in `node_modules/react-native-dismiss-keyboard-native/windows/RNDismissKeyboardNative.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Dismiss.Keyboard.Native.RNDismissKeyboardNative;` to the usings at the top of the file
  - Add `new RNDismissKeyboardNativePackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNDismissKeyboardNative from 'react-native-dismiss-keyboard-native';

// TODO: What to do with the module?
RNDismissKeyboardNative;
```
  