
package com.reactlibrary;

import android.app.Activity;
import android.content.Context;
import android.os.IBinder;
import android.view.inputmethod.InputMethodManager;

import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.bridge.Callback;

public class RNDismissKeyboardNativeModule extends ReactContextBaseJavaModule {

  private final ReactApplicationContext reactContext;
  private Activity mActivity;

  public RNDismissKeyboardNativeModule(ReactApplicationContext reactContext, Activity activity) {
    super(reactContext);
    this.reactContext = reactContext;
    mActivity = activity;
  }

  @Override
  public String getName() {
    return "RNDismissKeyboardNative";
  }

  @ReactMethod
  public void dismiss() {
    InputMethodManager imm = (InputMethodManager)getReactApplicationContext().getSystemService(Context.INPUT_METHOD_SERVICE);
    if (imm.isAcceptingText()) {
      IBinder windowToken = mActivity.getWindow().getDecorView().getRootView().getWindowToken();
      imm.hideSoftInputFromWindow(windowToken, 0);
    }
  }
}